## Index

### Classes

- I18n
- I18nModule
- Overridable
- ReplacePipe

### Type aliases

- TranslationStrings

### Functions

- I18N_SERVICE_PROVIDER_FACTORY
- replace

### Object literals

- I18N_SERVICE_PROVIDER

## Type aliases

### TranslationStrings

TranslationStrings: object

- Defined in src/i18n/i18n.service.ts:138

#### Type declaration

- ##### [key: string]: string

## Functions

### I18N_SERVICE_PROVIDER_FACTORY

- I18N_SERVICE_PROVIDER_FACTORY(parentService: I18n): I18n

- - Defined in src/i18n/i18n.module.ts:7

  #### Parameters

  - ##### parentService: I18n

  #### Returns I18n

### Const replace

- replace(subject: any, variables: any): any

- - Defined in src/i18n/i18n.service.ts:31

  #### Parameters

  - ##### subject: any

  - ##### variables: any

  #### Returns any

## Object literals

### Const I18N_SERVICE_PROVIDER

I18N_SERVICE_PROVIDER: object

- Defined in src/i18n/i18n.module.ts:12

### deps

deps: Optional[][] = [[new Optional(), new SkipSelf(), I18n]]

- Defined in src/i18n/i18n.module.ts:14

### provide

provide: I18n = I18n

- Defined in src/i18n/i18n.module.ts:13

### useFactory

useFactory: I18N_SERVICE_PROVIDER_FACTORY = I18N_SERVICE_PROVIDER_FACTORY

- Defined in src/i18n/i18n.module.ts:15

Generated using TypeDoc